Bug 42279 - mod_ssl missing dependency on 'make'
Summary: mod_ssl missing dependency on 'make'
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache   
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-25 14:49 UTC by Brian Brock
Modified: 2007-04-18 16:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-08 21:54:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Brock 2001-05-25 14:49:12 UTC
mod_ssl includes several Makefiles, to automate the process of
public/private key pairs.  However, it has no dependency on 'make', so
there are no direct guarantees that make will be installed, and that these
Makefiles can be used.

noted on (ia64 and i386) mod_ssl-2.8.1-5:
/etc/httpd/conf/Makefile
/etc/httpd/conf/ssl.crl/Makefile
/etc/httpd/conf/ssl.crt/Makefile

Comment 1 Pekka Savola 2001-07-22 19:54:21 UTC
are the makefiles being used automatically, ie. are they a "required" component 
of making mod_ssl run?

one might not add a requirement from Web Server install class to Software 
Development packages. (personally I don't have a problem with it though :-)

Comment 2 Nalin Dahyabhai 2001-07-24 20:28:35 UTC
When mod_ssl generates dummy keys and certs in %post, it does so by calling
openssl directly instead of going through a Makefile.  As make does not itself
pull in other packages, it should be safe to add as a requirement in mod_ssl
2.8.4-9.  Thanks!

Comment 3 Brian Brock 2003-09-08 21:54:09 UTC
fix verified, closing to cleanup bug status.


Note You need to log in before you can comment on or make changes to this bug.